org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class AndTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.AndTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.AndTest.Traversals

- Enclosing class:
    AndTest

      public static class AndTest.Traversals
      extends AndTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.AndTest

      `AndTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name()`
    `Traversal<Vertex,String>` | `get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_asXaX_andXselectXaX_selectXaXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.AndTest

      `g_V_andXhasXage_gt_27X__outE_count_gte_2X_name, g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name, g_V_asXaX_andXselectXaX_selectXaXX, g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name, g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name

          public Traversal<Vertex,String> get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name()

      Specified by:
        `get_g_V_andXhasXage_gt_27X__outE_count_gte_2X_name` in class `AndTest`

    - #### get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name

          public Traversal<Vertex,String> get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name()

      Specified by:
        `get_g_V_andXoutE__hasXlabel_personX_and_hasXage_gte_32XX_name` in class `AndTest`

    - #### get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name

          public Traversal<Vertex,Vertex> get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name()

      Specified by:
        `get_g_V_asXaX_outXknowsX_and_outXcreatedX_inXcreatedX_asXaX_name` in class `AndTest`

    - #### get_g_V_asXaX_andXselectXaX_selectXaXX

          public Traversal<Vertex,Vertex> get_g_V_asXaX_andXselectXaX_selectXaXX()

      Specified by:
        `get_g_V_asXaX_andXselectXaX_selectXaXX` in class `AndTest`

    - #### get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX

          public Traversal<Vertex,Vertex> get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX()

      Specified by:
        `get_g_V_hasXname_markoX_and_hasXname_markoX_and_hasXname_markoX` in class `AndTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.